enum ActivityIconType {
  INVOICE
  CHECK
  ALERT
  MESSAGE
  CALENDAR
}

enum ActivityType {
  ORDER_CREATED
  SHIFT_UPDATE
  COMPLIANCE_ALERT
  MESSAGE_RECEIVED
  SYSTEM_UPDATE
}

type ActivityLog @table(name: "activity_logs") {
  id: UUID! @default(expr: "uuidV4()")

  userId: String!

  #app 
  date: Timestamp!
  hourStart: String
  hourEnd: String
  totalhours: String
  iconType: ActivityIconType
  iconColor: String

  #web
  title: String!
  description: String!
  isRead: Boolean @default(expr: "false")
  activityType: ActivityType!

  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
